
QGIS Application - Bug report #3702

QGIS and gdalinfo shows different information about raster

2011-04-04 11:11 AM - dr -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13761

Description

gdalinfo shows the following information about raster:

Band 1 Block=10468x1 Type=Int16, [[ColorInterp]]=Gray

QGIS:

GDT_Int32 - Thirty two bit signed integer 

Why?

Raster used in example: http://gis-lab.info/share/DR/mcd45tiff/MCD45monthly.A2003091.Win08.005.burndate.tif

History

#1 - 2011-04-14 05:09 AM - Redmine Admin

Yes, I know, we are mapping gdal types to wider types to get space for null values.

#2 - 2011-06-04 11:43 AM - alobo -

but then is the raster Int16 or Int32 ?

#3 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:27 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2012-10-05 07:08 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No
- Status info deleted (0)

- Resolution set to fixed

- Operating System deleted (All)

- Status changed from Open to Closed

In qgis master the infos are now the same in raster metadata and gdalinfo.
